#

## startup

Start magic from inside the Tcl interpreter.

### Usage:

> startup

### Summary:

> The startup command is not a user command. It is called by Tcl packages that wish to use magic from the interpreter. The procedure for starting magic is as follows:
> - Load the `tclmagic.so` object file.
> - Call initialize with arguments passed to magic on the command line.
> - Call startup

### Implementation Notes:

> startup is implemented as a built-in command in magic, but only defined by the Tcl version.

### See Also:

> initialize

Return to command index

Last updated: October 8, 2004 at 8:00am